<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>My Project: validationFormat.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">validationFormat.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Header du namespace util, contenant les fonctions pour valider le format des entrées.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;ctype.h&quot;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for validationFormat.h:</div>
<div class="dyncontent">
<div class="center"><img src="validation_format_8h__incl.png" border="0" usemap="#validation_format_8h" alt=""/></div>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="validation_format_8h__dep__incl.png" border="0" usemap="#validation_format_8hdep" alt=""/></div>
<map name="validation_format_8hdep" id="validation_format_8hdep">
<area shape="rect" id="node2" href="_reference_8cpp.html" title="Implementation des methodes de la classe Reference. " alt="" coords="5,80,112,107"/>
<area shape="rect" id="node3" href="validation_format_8cpp.html" title="Implementation des fonctions du namespace &#39;util&#39;. " alt="" coords="137,80,279,107"/>
</map>
</div>
</div>
<p><a href="validation_format_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab3d93e73408df98688844f00a8cdce58"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3d93e73408df98688844f00a8cdce58"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>util::validerFormatNom</b> (const std::string &amp;p_nom)</td></tr>
<tr class="separator:ab3d93e73408df98688844f00a8cdce58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21c007029e2e42ca8c8daab00517069b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21c007029e2e42ca8c8daab00517069b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>util::validerCodeIssn</b> (const std::string &amp;p_issn)</td></tr>
<tr class="separator:a21c007029e2e42ca8c8daab00517069b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0955ea98068f9537dfb0d7fd66f10860"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0955ea98068f9537dfb0d7fd66f10860"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>util::validerCodeIsbn</b> (const std::string &amp;p_isbn)</td></tr>
<tr class="separator:a0955ea98068f9537dfb0d7fd66f10860"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51bc449a405a0f502fc889465351dc23"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51bc449a405a0f502fc889465351dc23"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>util::validerFormatIsbn10</b> (const std::string &amp;p_isbn10, int p_longueur)</td></tr>
<tr class="separator:a51bc449a405a0f502fc889465351dc23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed7de83b915731fd41c4e580807739ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed7de83b915731fd41c4e580807739ac"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>util::validerFormatIsbn13</b> (const std::string &amp;p_isbn13, int p_longueur)</td></tr>
<tr class="separator:aed7de83b915731fd41c4e580807739ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b359f1e3913a424d19828863adef356"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b359f1e3913a424d19828863adef356"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>util::verifierCleIssn</b> (const std::string &amp;p_issn)</td></tr>
<tr class="separator:a5b359f1e3913a424d19828863adef356"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29df786a42f962ae06951b0ed5b04d83"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a29df786a42f962ae06951b0ed5b04d83"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>util::verifierCleIsbn10</b> (const std::string &amp;p_isbn10)</td></tr>
<tr class="separator:a29df786a42f962ae06951b0ed5b04d83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35ccf1edcaf1abef15c04cdc37dd5e60"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35ccf1edcaf1abef15c04cdc37dd5e60"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>util::verifierCleIsbn13</b> (const std::string &amp;p_isbn13)</td></tr>
<tr class="separator:a35ccf1edcaf1abef15c04cdc37dd5e60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Header du namespace util, contenant les fonctions pour valider le format des entrées. </p>
<dl class="section author"><dt>Author</dt><dd>Toma Gagne </dd></dl>
<dl class="section version"><dt>Version</dt><dd>1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>27 fevrier 2019 </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
